select TCLN.PROJECT_ID as PROJECT_ID,P.NAME as PROJECT_NAME, TCLN.TCLN_ID as ITEM_ID
from TEST_CASE_LIBRARY_NODE TCLN
 join PROJECT P on P.PROJECT_ID=TCLN.PROJECT_ID
 join (
		-- the sorting key for each node is <reference><name>
		select tclnrew.TCLN_ID, CONCAT(COALESCE(tcrew.REFERENCE , ''), tclnrew.NAME ) as SORTING_NAME
		from TEST_CASE_LIBRARY_NODE tclnrew left outer join  TEST_CASE tcrew on tclnrew.TCLN_ID = tcrew.TCLN_ID
	) SORT on SORT.TCLN_ID = TCLN.TCLN_ID
where TCLN.TCLN_ID  in (:nodeIds)
order by PROJECT_NAME ASC, SORTING_NAME ASC
